<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<div class="vh-100 d-flex flex-column">
	<sdm-header></sdm-header>

	<div class="flex-fill overflow-hidden">
		<div class="row h-100">
			<aside *ngIf="workflowEnabled" class="col-auto min-vw-15 py-3 bg-light">
				<sdm-stepper [activatedRouteSnapshot]="activatedRouteSnapshot"></sdm-stepper>
			</aside>
			<main class="col pt-5 h-100 overflow-y-auto">
				<div class="row justify-content-center h-100">
					<div class="col-12 col-lg-10 col-xxl-10 h-100">
						<router-outlet #routerOutlet (activate)="registerRoute()" id="main-router-outlet"></router-outlet>
					</div>
				</div>
			</main>
		</div>
	</div>
</div>
